c
c *** PROGRAM PROJETIL *** 6 Mai 97
c
      dimension x(10000),y(10000),u(10000),v(10000)
c
      open(7,file='dados',form='formatted')
	open(8,file='saida',form='formatted')
c
      read(7,*) x0
	read(7,*) y0
	read(7,*) u0
	read(7,*) v0
	read(7,*) dt
	read(7,*) g
	read(7,*) n
c
      do i = 0, n
	  t = i * dt
	  x(i) = x0 + u0 * t
	  y(i) = y0 + v0 * t - g * (t**2) / 2.
	  u(i) = u0
	  v(i) = v0 - g * t
	  write(8,11) t,x(i),y(i),u(i),v(i)
	  if(y(i).lt.0.0) exit
	end do
c
   11 format(5(1pe15.3))
      close(8)
c
      end